Subject: bug#7877: closed (Re: bug#7877: sleep takes undocumented hex args)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 21 Jan 2011 19:22:02 +0000

Your bug report

#7877: sleep takes undocumented hex args

which was filed against the coreutils package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
7877: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=7877
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#7877: sleep takes undocumented hex args
From: Jim Meyering <[email-masked]>
To: Paul Eggert <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Fri, 21 Jan 2011 20:28:56 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Paul Eggert wrote:
> On 01/21/2011 01:24 AM, Jim Meyering wrote:
>> My first reflex was to make sleep reject args like 0x... and inf.
>
> My reflex was just the opposite: why reject a notation
> that might be useful?

I see that at least freebsd's /bin/sleep and the one from sunos 5.11
work just like the one from coreutils (without my proposed change)
in accepting e.g., 0x1 and inf.

netbsd's accepts 0x1 but not inf.
openbsd's accepts neither.

> Several other programs (printf, seq, sort, tail, plus many
> other GNU programs) also use strtod or strtold.  If 'sleep' is
> changed to reject hexadecimal and infinity, shouldn't they
> be changed too, for consistency?
>
> I expect it's better to leave these programs alone.  Not only
> is this simpler, and a tiny bit cheaper at runtime, it's slightly
> less likely to break existing usage.
>
> Anyway, whatever we do, we should document it better.  To start the ball
> rolling on that, I pushed the following change, which documents the
> existing behavior.  We can change this if we change the behavior.

The above, plus your added documentation are good enough
reasons to leave sleep as-is.

Thanks.

Subject: sleep takes undocumented hex args
From: [email-masked]
To: [email-masked]
Date: Fri, 21 Jan 2011 07:31:18 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

The documentation doesn't say that one can also use hex args:
$ time /bin/sleep 0x10
real    0m16.007s
However not octal args:
$ time /bin/sleep 010
real    0m10.003s
Maybe say how too.